grk::PrecinctPacketParsers Struct Reference

`#include <PacketParser.h>`

## Public Member Functions

| PrecinctPacketParsers (TileProcessor *tileProcessor)
| ~PrecinctPacketParsers (void)
void | pushParser (PacketParser *parser)

## Public Attributes

TileProcessor * | tileProcessor_
PacketParser ** | parsers_
uint16_t | numParsers_
uint16_t | allocatedParsers_

## Constructor & Destructor Documentation

## PrecinctPacketParsers()

grk::PrecinctPacketParsers::PrecinctPacketParsers | ( | TileProcessor * | tileProcessor | ) |

References allocatedParsers_, grk::TileProcessor::getTileCodingParams(), grk::grk_read(), grk::TileCodingParams::numlayers, parsers_, and tileProcessor_.

## ~PrecinctPacketParsers()

grk::PrecinctPacketParsers::~PrecinctPacketParsers | ( | void |  | ) |

References grk::grk_read(), numParsers_, and parsers_.

## Member Function Documentation

## pushParser()

void grk::PrecinctPacketParsers::pushParser | ( | PacketParser * | parser | ) |

References allocatedParsers_, grk::grk_read(), grk::GRK_WARN(), numParsers_, and parsers_.

## Member Data Documentation

## allocatedParsers_

uint16_t grk::PrecinctPacketParsers::allocatedParsers_

Referenced by PrecinctPacketParsers(), and pushParser().

## numParsers_

uint16_t grk::PrecinctPacketParsers::numParsers_

Referenced by pushParser(), and ~PrecinctPacketParsers().

## parsers_

PacketParser** grk::PrecinctPacketParsers::parsers_

Referenced by PrecinctPacketParsers(), pushParser(), and ~PrecinctPacketParsers().

## tileProcessor_

TileProcessor* grk::PrecinctPacketParsers::tileProcessor_

Referenced by PrecinctPacketParsers().

The documentation for this struct was generated from the following files:

- PacketParser.h
- PacketParser.cpp